import { Component } from '@angular/core';
import { Platform } from 'ionic-angular';
import { StatusBar } from '@ionic-native/status-bar';
import { SplashScreen } from '@ionic-native/splash-screen';

import { LoginPage } from '../pages/login/login';
import { DashPlayerPage } from '../pages/dash-player/dash-player';
import { DashDmPage } from '../pages/dash-dm/dash-dm';

@Component({
  templateUrl: 'app.html'
})
export class MyApp {
   rootPage:any = LoginPage;
  /* rootPage:any = DashPlayerPage; */
  /* rootPage:any = DashDmPage; */
  constructor(platform: Platform, statusBar: StatusBar, splashScreen: SplashScreen) {
    platform.ready().then(() => {
      // Okay, so the platform is ready and our plugins are available.
      // Here you can do any higher level native things you might need.
      statusBar.styleDefault();
      splashScreen.hide();
    });
  }
}

