# Role Master  

The following project consists in virtualize the Role Sheets and make it easy to access online.

## Getting Started

These instructions will get you a copy of the project up and running on your local machine for development and testing purposes. 

### Prerequisites

What things you need to install the software. 

```
* Ionic Framework >= 3.0.0 
```
```
* npm >= 3.5.0
```

### Installing

How to install them.

Install npm in Debian or Ubunut.
```
sudo apt install npm
```
Install Ionic Framework using npm.
```
sudo npm install -g ionic
```
Install the node-Dependences.
You should be inside the proyect folder and run.
```
sudo npm install
```

## Running the tests

For run project you should be inside the "POOyecto-master" folder then run.
```
ionic serve
```
And a web-view should open to interact with the application.

To see it from your cellphone, you should run from the pc first, then go to the next direction in your browser.
```
localhost:8100
```

## Built With

* [G++](https://gcc.gnu.org/onlinedocs/) - The web g++
* [Makefile](https://www.gnu.org/software/make/manual/html_node/Simple-Makefile.html) - Reference of good practices of makefile in GNU linux


## Authors

* **Cristian Bruna** - *Student* - telematic engineering student
* **Yeriel Paz** - *Student* - telematic engineering student
* **Oscar Guajardo** - *Student* - telematic engineering student

## License

This project is licensed under GNU GPLv3 License - see the [LICENSE.md](LICENSE.md) file for details
