import { Component } from '@angular/core';
import { IonicPage, NavController, NavParams } from 'ionic-angular';
import { DashHistDmPage } from '../dash-hist-dm/dash-hist-dm';
import { DashPjDmPage } from '../dash-pj-dm/dash-pj-dm';

/**
 * Generated class for the DashDmPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */

@IonicPage()
@Component({
  selector: 'page-dash-dm',
  templateUrl: 'dash-dm.html',
})
export class DashDmPage {

  constructor(public navCtrl: NavController, public navParams: NavParams) {
  }

  goToDashHist(){
    this.navCtrl.push(DashHistDmPage);
  }

  goToDashPj(){
    this.navCtrl.push(DashPjDmPage);
  }

  ionViewDidLoad() {
    console.log('ionViewDidLoad DashDmPage');
  }

}
