import { Component } from '@angular/core';
import { IonicPage, NavController, NavParams, ModalController, ModalOptions, PopoverController } from 'ionic-angular';
import { DashHistHistPage } from '../dash-hist-hist/dash-hist-hist';

/**
 * Generated class for the DashHistDmPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */

@IonicPage()
@Component({
  selector: 'page-dash-hist-dm',
  templateUrl: 'dash-hist-dm.html',
})
export class DashHistDmPage {

  hts = [
    {name: 'El camino', historia: 'un gatito camino por (...) fin', pj: "Gatiti", img: "../../assets/imgs/historia/gato1.jpg"},
    {name: 'Poo', historia: 'un gatito paso poo (...) fin', pj: "Gatito 2", img: "../../assets/imgs/historia/gato1.jpg"},
  ] 

  constructor(
    public navCtrl: NavController, 
    public navParams: NavParams,
    public popoverCtrl: PopoverController,
    private modalCtrl: ModalController 
  ){}

  presentPopover(hts) {
    const popover = this.popoverCtrl.create(DashHistHistPage,{name: hts.name, historia: hts.historia,pj:hts.pj});
    popover.present();
  }

  ionViewDidLoad() {
    console.log('ionViewDidLoad DashHistDmPage');
  }

}
